
#ifndef SOLUTION_HPP
#define SOLUTION_HPP

#include <array>
#include <vector>
#include <string>

struct rigid_body {
  rigid_body() : orientation(), position(), model_id(0) {
    orientation[3] = 1.0;
  }
  std::array<double, 4> orientation;
  std::array<double, 3> position;
  size_t model_id;
  size_t base_model_id; // only for reporting purposes after splitting segments
};

struct solution {
  std::vector<rigid_body> segments;
  size_t target_id;
  float ksol;
  float bsol;
};

#endif
